jvx.numeric

## Class PnOdeExpr

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnOde
    - - jvx.numeric.PnOdeExpr

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnOdeExpr
      extends PnOde

  Extends basic ode class with ability to supply a string expression of the ode.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `m_defaultVariable`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnOdeExpr()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `diffEquation(double x, double[] y, double[] dy)` Method should be overwritten y an application with problem dependent ODE.
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `void` | `setEquation(java.lang.String eq)`
    `void` | `setEquation(java.lang.String eq, java.lang.String[] parm)`
    `void` | `setOrder(int order)`

    - ### Methods inherited from class jvx.numeric.PnOde

      `rungeKutta, setInitialData, solve, solve`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m_defaultVariable

          public static final java.lang.String[] m_defaultVariable

  - ### Constructor Detail

    - #### PnOdeExpr

          public PnOdeExpr()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PnOde`

    - #### setOrder

          public void setOrder(int order)

      Overrides:
        `setOrder` in class `PnOde`

    - #### setEquation

          public void setEquation(java.lang.String eq)

    - #### setEquation

          public void setEquation(java.lang.String eq,
                         java.lang.String[] parm)

    - #### diffEquation

          public void diffEquation(double x,
                          double[] y,
                          double[] dy)

      Description copied from class: `PnOde`
      Method should be overwritten y an application with problem dependent ODE.
      Overrides:
        `diffEquation` in class `PnOde`

"

The software JavaView? is copyright protected. All Rights Reserved.
"